stages:
  - lint

fixtures-lint:
  stage: lint
  rules:
    - if: '$CI_PIPELINE_SOURCE == "merge_request_event"'
    - if: '$CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH'
  image: golang:1.21.5-alpine3.17
  before_script:
    - go install github.com/santhosh-tekuri/jsonschema/cmd/jv@latest
  script:
    - find ./fixtures -type f -name "*.json" | xargs jv -assertcontent -assertformat educational-dataset-schema.json

